%global enable_tests 1

Name:       nodejs-fs-extra
Version:    0.30.0
Release:    4%{?dist}
Summary:    A drop-in replacement for Node's native fs module with a few extra methods
License:    MIT
URL:        https://github.com/jprichardson/node-fs-extra
Source0:    https://github.com/jprichardson/node-fs-extra/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(jsonfile)
BuildRequires:  npm(klaw)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(ncp)
BuildRequires:  npm(read-dir-files)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(secure-random)
BuildRequires:  npm(semver)
%if 0%{?enable_tests}
BuildRequires:  mocha
%endif

%description
%{summary}.


%prep
%autosetup -n node-fs-extra-%{version}
%nodejs_fixdep klaw "^2.0.0"
#chmod 644 package.json

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fs-extra
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/fs-extra

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e 'require("./")'
%if 0%{?enable_tests}
# Point TMPDIR at the build directory
#
# Some of the tests copy files from the build directory to a
# temporary directory and assume that timestamps will have the
# same precision in both places but koji seems to have the build
# directory on a filesystem with only seconds precision but the
# temporary directory has milliseconds precision.
mkdir tmp
export TMPDIR=$PWD/tmp
find ./lib/**/__tests__ -name *.test.js | xargs mocha
%endif


%files
%doc CHANGELOG.md README.md
%license LICENSE
%{nodejs_sitelib}/fs-extra


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Tom Hughes <tom@compton.nu> - 0.30.0-3
- Update npm(klaw) dependency

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.30.0-1
- Update to 0.30

* Sat Feb 20 2016 Jared Smith <jsmith@fedoraproject.org> - 0.26.5-1
- Update to upstream 0.26.5 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 0.8.1-7
- Update npm(rimraf) dependency

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.8.1-6
- Update npm(mkdirp) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-3
- fix version of npm(ncp) dependency

* Wed Apr 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-2
- fix version of npm(ncp) dependency

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-1
- initial package
